package com.engine.salary.enums.sicategory;

import com.engine.salary.enums.BaseEnum;

/**
 * @Description:
 * @Author: zhangheng
 * @CreateDate: 2021/11/25 16:43
 * @Version: v1.0
 */
public enum UndertakerEnum implements BaseEnum<Integer> {

    SCOPE_COMPANY(1, "公司", 87158),
    SCOPE_PERSON(2, "个人", 87159);

    private Integer value;

    private String defaultLable;

    private Integer labelId;

    UndertakerEnum(Integer value, String defaultLable, Integer labelId) {
        this.value = value;
        this.defaultLable = defaultLable;
        this.labelId = labelId;
    }

    public Integer getValue() {
        return this.value;
    }

    public Integer getLabelId() {
        return this.labelId;
    }

    public String getDefaultLabel() {
        return this.defaultLable;
    }
}
